FREE, FAST SHIPPING IN THE U.S.
CUSTOMER SERVICE +1 (949) 613-5838

Installing MatterControl on Ubuntu 17.10 (mono downgrade from 4.6 to 4.4)


  • I just upgraded my pc running my printer to Ubuntu 17.10 and now MatterControl shows me limited connectivity (orange icon) next to my sync login. Online I found that I have to downgrade my version of mono from 4.6 to 4.4.2 however when following the commands provided on the wiki 4.6.2.7 is still installed. Going through my update log I get the following error: W: Conflicting distribution: http://download.mono-project.com/repo/debian wheezy/snapshots/4.4.2 InRelease (expected wheezy/snapshots/4.4.2 but got wheezy).

    Is there anyone with more experience with Ubuntu/linux (I only use it to run my printer) who can help me solve the issue; when opening the file: /etc/apt/sources.list.d/xamarin.list the contents are: "deb http://download.mono-project.com/repo/debian wheezy/snapshots/4.4.2 main".

    Many thanks in advance.


  • limit connectivity 1 downgrade 1 mono 2 ubuntu 17.10 1
    5
    Posts
    418
    Views
    Log in to reply


  • My suggestions is to not downgrade Mono unless absolutely necessary. This has the potential to break other applications on your system. When the indicator is yellow, pretty much everything will still work except for the remote control features. Do you use those?



  • EDIT: Found in older release a script that will handle Mono version for you if you need it ... as stated by Moderator it may break other software dependant upon mono.

    I would like to use this feature for linux distros. I have spent a lot of time trying to get this to work (mainly because I don't know what I'm doing) and all my attempts have failed. Is it all possible we will see support for the later used mono in the deb package? I'm still learning as a begginner Linux user and have quickly realized the need for an operating system that does not shutdown a 3dprint every time there is an update or new feature leaving my hotend to cook for hours while the OS does what it wants. I love the software and it's potential to work for me, thank you for your time.




  • I am trying to install MatterControl on my Raspberry Pi 3 with Raspbian Stretch latest update. I have the same issue of Mono installing the 4.6.2.7 version instead of the 4.4.2 version. As stated in the "Development/Running on Linux" it says, "The official MatterControl download currently comes with a shell script to do this automatically on Debian based distros." When I enter

    sudo apt-get -y install mono-complete

    into the terminal prompt it states that a newer version is already installed, 4.6.2.7. I have verified that the Open GL drivers are working with the "glxgears" test. I have tried the same procedure in various orders to try and get this to work.

    I simply can't get MatterControl to even open at this point, any clearer instructions for how to get this to work on the RPi 3?

    I am going to keep trying to get it working with different distros, but would really like some directions that actually make some sense and have a orderly flow of some kind.

    Thanks-

    Matt



  • Tried Installing on RPi3 with Ubuntu Mate 16.04 as it is implied in the "Development/Running on Linux" page to be operational. MatterControl still won't launch after going through all the installs of auxiliary packages. It just hangs and locks up the RPi, cursor still moves but nothing is functional. Had to shut down through SSH.


    Any kind of direction would be greatly appreciated.

    Thanks-

    Matt


limit connectivity 1 downgrade 1 mono 2 ubuntu 17.10 1
5
Posts
418
Views
Log in to reply